/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
function getEstados(p) {
    var form = {};
    form.pais = p;
    $.ajax({
        data: form,
        url: 'paises.php',
        type: 'post',
        success: function (data) {
             $("#estados").html("<option value=''>----SELECCIONE--</option>")
            $("#estados").append(data);
        },
        error: function ()
        {
//                    alert('Ocurrio un error en el servidor ..');
//                    alumnos.prop('disabled', false);
        }
    });
}
function getMunicipios(s,p) {
    var form = {};
    form.estados = s;
    form.paism = p;
    
    $.ajax({
        data: form,
        url: 'paises.php',
        type: 'post',
        success: function (data) {
            $("#tmun").html(data);
        },
        error: function ()
        {
            //                    alert('Ocurrio un error en el servidor ..');
            //                    alumnos.prop('disabled', false);
        }
    });
}

function getColonias(m) {
    var form = {};
    form.tmun = m;
    //form.paisa = p;
    $.ajax({
        data: form,
        url: 'paises.php',
        type: 'post',
        success: function (data) {
            $("#tcol").html(data);
        },
        error: function () {

        }
    });

}
function getAddress(cp) {
    var form = {};
    form.tcp = cp;
    $.ajax({
        data: form,
        url: 'paises.php',
        type: 'post',
        success: function (data) {

            var datos = JSON.parse(data);

            $("#pais").val(datos[0].cve_pais);
            $("#pais").trigger("change");

            setTimeout(function () {
                $("#estados").val(datos[0].cve_estado);
                $("#estados").trigger("change");
            }, 500);//esto es para que ya existan valores ene l select al momento de mandar el dato

            setTimeout(function () {
                $("#tmun").val(datos[0].cve_delmun);

            }, 800);
            $("#tcol").html("");
            for (i = 0; i < datos.length; i++) {

                $("#tcol").append("<option value='" + datos[i].cve_col + "'>" + datos[i].des_colonia + "</option>");
            }

        },
        error: function () {

        }
    });
}



$(document).ready(function () {
    $("#tcp").change(function () {
        getAddress($(this).val());
    });
    $("#pais").change(function () {
        getEstados($(this).val());
    });
    $("#estados").change(function () {
        getMunicipios($(this).val(), $("#pais").val());
    });
    $("#tmun").change(function () {
        getColonias($(this).val());
    });


});